--- /dev/null	Fri Feb 28 01:16:52 2020
+++ new/usr/src/man/man1m/tzreload.1m	Fri Feb 28 01:16:52 2020
@@ -0,0 +1,78 @@
+.\"
+.\" The contents of this file are subject to the terms of the
+.\" Common Development and Distribution License (the "License").
+.\" You may not use this file except in compliance with the License.
+.\"
+.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+.\" or http://www.opensolaris.org/os/licensing.
+.\" See the License for the specific language governing permissions
+.\" and limitations under the License.
+.\"
+.\" When distributing Covered Code, include this CDDL HEADER in each
+.\" file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+.\" If applicable, add the following below this CDDL HEADER, with the
+.\" fields enclosed by brackets "[]" replaced with your own identifying
+.\" information: Portions Copyright [yyyy] [name of copyright owner]
+.\"
+.\"
+.\" Copyright (c) 2009, Sun Microsystems, Inc. All Rights Reserved
+.\" Copyright 2020 Joyent, Inc.
+.\"
+.Dd February 27, 2020
+.Dt TZRELOAD 1M
+.Os
+.Sh NAME
+.Nm tzreload
+.Nd notify timezone update
+.Sh SYNOPSIS
+.Nm Op Fl a
+.Sh DESCRIPTION
+The
+.Nm
+command triggers processes to reread timezone information.
+The timezone information is cached in each process.
+In response to a
+.Nm
+command, this cache is updated on the next call to
+.Xr ctime 3C
+and
+.Xr mktime 3C
+by each process.
+By default,
+.Nm
+only triggers this update for the current zone.
+.Pp
+In addition to updating processes, the
+.Nm
+command also notifies
+.Xr cron 1M
+to reinitialize the job scheduler with the new timezone information.
+.Sh OPTIONS
+The following options are supported:
+.Bl -tag -width Ds
+.It Fl a
+Update processes in all zones.
+.El
+.Sh FILES
+.Bl -tag -width Ds
+.It Pa /usr/share/lib/zoneinfo
+Standard zone information directory.
+.El
+.Sh INTERFACE STABILITY
+.Sy Committed
+.Sh SEE ALSO
+.Xr cron 1M ,
+.Xr zdump 1M ,
+.Xr zic 1M ,
+.Xr zoneadm 1M ,
+.Xr ctime 3C ,
+.Xr mktime 3C ,
+.Xr attributes 5
+.Sh NOTES
+Although
+.Nm
+reinitializes
+.Xr cron 1M ,
+applications that are affected by timezone changes still need to be restarted or
+reinitialized if they do not reread the new timezone information before timezone
+changes take place.
